Skip to main content
`Ctrl`+`K`

# PetscPDFSampleConstant3D

Sample uniformly from a uniform distribution on \([-1, 1]^3\) in 3D

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscPDFSampleConstant3D(const PetscReal p[], const PetscReal dummy[], PetscReal x[])

Not Collective

## Input Parameters

- p - Three uniform variables on \([0, 1]\)

- dummy - Unused

## Output Parameter

- x - Coordinate in \([-1, 1]^3\)

## See Also

`PetscPDFConstant3D()`, `PetscCDFConstant3D()`, `PetscPDFSampleConstant1D()`, `PetscPDFSampleConstant2D()`

## Level

beginner

## Location

src/dm/dt/interface/dtprob.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages